local wezterm = require("wezterm")
local config = {}

config.font = wezterm.font("Intel One Mono")

function ConfigureGraphics(gpu)
    config.front_end = "WebGpu"
    config.webgpu_power_preference = "HighPerformance"
    config.webgpu_preferred_adapter = gpu
end

for _, gpu in next, wezterm.gui.enumerate_gpus() do
    if gpu.backend == "Vulkan" and gpu.device_type == "DiscreteGpu" then
        ConfigureGraphics(gpu)
        break
    end
end

return config
